using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace YBEE.EQM.Core;

/// <summary>
/// 监测缺测替补
/// </summary>
[Comment("监测缺测替补")]
public class ExamAbsentReplace : DEntityBase
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Comment("监测计划ID")]
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 机构ID
    /// </summary>
    [Comment("机构ID")]
    [Required]
    public short SysOrgId { get; set; }
    /// <summary>
    /// 学校班级ID
    /// </summary>
    [Comment("学校班级ID")]
    [Required]
    public long SchoolClassId { get; set; }
}
